- job:
    name: leg-virt-tianocore-edk2-upstream
    project-type: freestyle
    defaults: global
    logrotate:
        daysToKeep: 30
        numToKeep: 30
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
                - job-workspace
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
    disabled: false
    node: ldcg-aarch64-02
    display-name: 'Linaro EDK II - UEFI Continuous Integration (upstream)'
    scm:
        - git:
            url: https://github.com/tianocore/edk2.git
            refspec: +refs/heads/master:refs/remotes/origin/master
            name: origin
            branches:
                - refs/heads/master
            basedir: edk2
            skip-tag: true
            shallow-clone: true
            clean: true
            wipe-workspace: false
    triggers:
        - pollscm: 'H H/8 * * *'
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=8}'
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: leg-virt-tianocore-edk2-upstream/build.sh
        - linaro-publish-token
        - shell:
            !include-raw: leg-virt-tianocore-edk2-upstream/publish.sh
    publishers:
        - email:
            recipients: 'quic_llindhol@quicinc.com marcin.juszkiewicz@linaro.org'
